Bug 106661 - RFE: Update SharedReqFoo in lnxLib.tmpl for following libraries to help prelinking
Summary: RFE: Update SharedReqFoo in lnxLib.tmpl for following libraries to help preli...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-09 10:57 UTC by Mike A. Harris
Modified: 2007-04-18 16:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 21:46:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike A. Harris 2003-10-09 10:57:46 UTC
<arjan> /usr/sbin/prelink: Warning: /usr/X11R6/lib/libXmuu.so.1 has undefined
non-weak symbols
<arjan> /usr/sbin/prelink: Warning: /usr/X11R6/lib/libXfont.so.1 has undefined
non-weak symbols
<arjan> /usr/sbin/prelink: Warning: /usr/X11R6/lib/libXpm.so.4 has undefined
non-weak symbols
<arjan> /usr/sbin/prelink: Warning: /usr/X11R6/lib/libXv.so.1 has undefined
non-weak symbols
<arjan> /usr/sbin/prelink: Warning: /usr/X11R6/lib/libdps.so.1 has undefined
non-weak symbols
<arjan> /usr/sbin/prelink: Warning: /usr/X11R6/lib/libXp.so.6 has undefined
non-weak symbols

The shared library req's in XFree86 are horribly lacking and not maintained
upstream very well.  I want to:

1) Fix them
2) Implement post-build checks to test for these problems and refuse a build
   if they occur, so that things can be fixed immediately and patches sent
   upstream for future releases.

I'll leave this report open until both are accomplished.

Comment 1 Mike A. Harris 2003-10-09 13:46:19 UTC
From: Jakub Jelinek <jakub@redhat.com>
To: Mike A. Harris <mharris@redhat.com>

...

> I have just created a patch which I believe fixes all of the
> above libraries in XFree86.  This will be present in 4.3.0-38 in
> dist-10-HEAD build going into beehive right now.  Fixes are
> untested, and so it shouldn't go into dist-10 until someone has
> banged on it a bit.  The only weirdo is libXfont that I'm not
> 100% sure of.  We'll find out soon enough though.

BTW: If you add -Wl,-z,defs to gcc/g++ command line when doing
final shared library linking, ld will bail out if there are any undefined
non-weak symbols.

        Jakub


Comment 2 Mike A. Harris 2003-10-11 09:59:18 UTC
Fixed in 4.3.0-39 I believe.  Please test and close RAWHIDE or reopen as
ASSIGNED with new details.

Setting bug to MODIFIED pending testing.


Note You need to log in before you can comment on or make changes to this bug.